## golang-github-emicklei-proto 1.13.3

=== debian/changelog ===
golang-github-emicklei-proto (1.13.3-1) unstable; urgency=medium

  * New upstream version 1.13.3

 -- Simon Josefsson <simon@josefsson.org>  Sat, 14 Dec 2024 07:36:33 +0100

golang-github-emicklei-proto (1.13.2-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 11 Dec 2024 22:47:38 +0100

golang-github-emicklei-proto (1.13.2-1) unstable; urgency=medium

  * Initial release (Closes: #1088181)

 -- Simon Josefsson <simon@josefsson.org>  Sun, 24 Nov 2024 19:35:43 +0100

## golang-github-emicklei-proto 1.14.0

=== Makefile ===
SHELL := /bin/bash -o pipefail
UNAME_OS := $(shell uname -s)
UNAME_ARCH := $(shell uname -m)

TMP_BASE := .tmp
TMP := $(TMP_BASE)/$(UNAME_OS)/$(UNAME_ARCH)
TMP_BIN = $(TMP)/bin

GOLINT_VERSION := 8f45f776aaf18cebc8d65861cc70c33c60471952
GOLINT := $(TMP_BIN)/golint
$(GOLINT):
	$(eval GOLINT_TMP := $(shell mktemp -d))
	@cd $(GOLINT_TMP); go get github.com/golang/lint/golint@$(GOLINT_VERSION)
	@rm -rf $(GOLINT_TMP)

ERRCHECK_VERSION := v1.2.0
ERRCHECK := $(TMP_BIN)/errcheck
$(ERRCHECK):
	$(eval ERRCHECK_TMP := $(shell mktemp -d))
	@cd $(ERRCHECK_TMP); go get github.com/kisielk/errcheck@$(ERRCHECK_VERSION)
	@rm -rf $(ERRCHECK_TMP)

STATICCHECK_VERSION := c2f93a96b099cbbec1de36336ab049ffa620e6d7
STATICCHECK := $(TMP_BIN)/staticcheck
$(STATICCHECK):
	$(eval STATICCHECK_TMP := $(shell mktemp -d))
	@cd $(STATICCHECK_TMP); go get honnef.co/go/tools/cmd/staticcheck@$(STATICCHECK_VERSION)
	@rm -rf $(STATICCHECK_TMP)

unexport GOPATH
export GO111MODULE := on
export GOBIN := $(abspath $(TMP_BIN))
export PATH := $(GOBIN):$(PATH)

.DEFAULT_GOAL := all

.PHONY: all
all: lint test

.PHONY: install
install:
	go install ./...

.PHONY: golint
golint: $(GOLINT)
	@# TODO: readd cmd/proto2gql when fixed
	@#for file in $(shell find . -name '*.go'); do
	for file in $(shell find . -name '*.go' | grep -v cmd/proto2gql); do \
		golint $${file}; \
		if [ -n "$$(golint $${file})" ]; then \
			exit 1; \
		fi; \
	done

.PHONY: vet
vet:
	go vet ./...

.PHONY: testdeps
errcheck: $(ERRCHECK)
	errcheck ./...

.PHONY: staticcheck
staticcheck: $(STATICCHECK)
	staticcheck -checks "all -U1000" ./...

.PHONY: lint
# TODO: readd errcheck when fixed
#lint: golint vet errcheck staticcheck
#lint: golint vet staticcheck
lint: golint vet

.PHONY: test
test:
	go test -race -coverprofile=coverage.txt -covermode=atomic ./...

.PHONY: clean
clean:
	go clean -i ./...

.PHONY: integration
integration:
	PB=y go test -cover

=== debian/changelog ===
golang-github-emicklei-proto (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0

 -- Simon Josefsson <simon@josefsson.org>  Thu, 19 Dec 2024 11:49:39 +0100

=== debian/control ===
Source: golang-github-emicklei-proto
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-emicklei-proto
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-emicklei-proto.git
Homepage: https://github.com/emicklei/proto
XS-Go-Import-Path: github.com/emicklei/proto

Package: golang-github-emicklei-proto-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: parser for Google ProtocolBuffers definition (Go library)
 Go Library for parsing Google Protocol Buffers .proto files v2 and v3, see:
 https://developers.google.com/protocol-buffers/docs/reference/proto3-spec
 .
 This package contains the Go development library.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/emicklei/proto/tags .*/v?(\d\S*)\.tar\.gz debian
